=== src/libretroshare/src/turtle/Makefile ===
RS_TOP_DIR = ..
##### Define any flags that are needed for this section #######
###############################################################

###############################################################
include $(RS_TOP_DIR)/scripts/config.mk
###############################################################

RSOBJ = p3turtle.o rsturtleitem.o

#TESTOBJ  = 

#TESTS  = 

all: librs tests

#tlvbase_test : tlvbase_test.o
#	$(CC) $(CFLAGS) -o tlvbase_test tlvbase_test.o $(OBJ) $(LIBS) 

###############################################################
include $(RS_TOP_DIR)/scripts/rules.mk
###############################################################
