=== debian/changelog ===
retroshare (0.6.3-1~mx15+1) mx; urgency=medium

  * Initial build for MX-15.
  * Depend on libsqlcipher0 >= 3.4.1 to avoid bugs with stock versions.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 Jan 2018 18:01:10 -0800
