=== debian/control ===
Source: retroshare
Section: devel
Priority: standard
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Cyril Soler <csoler@users.sourceforge.net>
Build-Depends: debhelper (>= 9),
               libglib2.0-dev, 
               libupnp-dev, 
               libssl-dev, 
               libxss-dev, 
               libgnome-keyring-dev, 
               libbz2-dev, 
               libspeex-dev, 
               libspeexdsp-dev, 
               libxslt1-dev, 
               libcurl4-openssl-dev, 
               libopencv-dev, 
               tcl8.6, 
               libsqlcipher-dev (>= 3.4.1), 
               libmicrohttpd-dev, 
               libavcodec-dev, 
               qtmultimedia5-dev, 
               qttools5-dev, 
               libqt5x11extras5-dev, 
               qt5-default
Standards-Version: 3.9.6
Homepage: http://retroshare.sourceforge.net

Package: retroshare-voip-plugin
Architecture: any
Conflicts: retroshare06-voip-plugin
Depends: ${shlibs:Depends}, ${misc:Depends}, retroshare
Description: RetroShare VOIP plugin
 This package provides a plugin for RetroShare, a secured Friend-to-Friend
 communication platform. The plugin adds voice-over-IP functionality to the 
 private chat window. Both friends chatting together need the plugin installed
 to be able to talk together.

Package: retroshare-feedreader-plugin
Architecture: any
Conflicts: retroshare06-feedreader-plugin
Depends: ${shlibs:Depends}, ${misc:Depends}, retroshare
Description: RetroShare FeedReader plugin
 This package provides a plugin for RetroShare, a secured Friend-to-Friend
 communication platform. The plugin adds a RSS feed reader tab to retroshare.

Package: retroshare-nogui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         gnome-keyring,
         libsqlcipher0 (>= 3.4.1),
         retroshare-voip-plugin,
         retroshare-feedreader-plugin
Conflicts: retroshare,retroshare06-nogui
Description: Secure communication with friends
 This is the command-line client for RetroShare network. This client
 can be contacted and talked-to using SSL. Clients exist for portable
 devices. running e.g. Android. 

Package: retroshare
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         gnome-keyring,
         libsqlcipher0 (>= 3.4.1),
         retroshare-voip-plugin,
         retroshare-feedreader-plugin
Conflicts: retroshare-nogui,retroshare06
Description: Secure communication with friends
 RetroShare is a Open Source cross-platform, private and secure decentralised 
 commmunication platform. It lets you to securely chat and share files with
 your  friends and family, using a web-of-trust to authenticate peers and
 OpenSSL to encrypt all communication. RetroShare provides filesharing, chat,
 messages, forums and channels.
